import api from "src/api";

export const getStudentResponsible = async (studentId) => {
  const { data } = await api.get(`/student/${studentId}/responsible`);
  return data.payload;
};

export const createStudentResponsible = async (payload) => {
  const { data } = await api.post("/student-responsible", payload);
  return data.payload;
};

export const updateStudentResponsible = async (id, payload) => {
  const { data } = await api.put(`/student-responsible/${id}`, payload);
  return data.payload;
};

export const deleteStudentResponsible = async (id) => {
  const { data } = await api.delete(`/student-responsible/${id}`);
  return data.payload;
};
